blog/urls.py
from django.urls import path
from . import views
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

app_name='blog'

urlpatterns = [
    path('', views.home, name='home'),
    path('product/', views.product, name='product'),
    path('resume/', views.resume, name='resume'),
    path('about/', views.about, name='about'),
    path('product/forms/',views.formJadwal, name='forms'),
    path('product/story/',views.story,name='story'),
]

urlpatterns += staticfiles_urlpatterns()

lab/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('blog.urls')),
    path('product/', include('blog.urls')),
    path('resume/', include ('blog.urls')),
    path('about/', include('blog.urls')),
    
]

blog/models.py
from django.db import models

class Kegiatan(models.Model):
    hari=models.CharField(max_length=20)
    tanggal=models.CharField(max_length=20)
    jam=models.CharField(max_length=10)
    nama_Kegiatan=models.CharField(max_length=200)
    tempat=models.CharField(max_length=100)
    kategori=models.CharField(max_length=60)
    cek=models.DateTimeField()
    

blog/forms.py
from django import forms
from .models import Kegiatan
class Jadwal(forms.ModelForm):
    class Meta:
        model=Kegiatan
        fields= ['hari','tanggal','jam','nama_Kegiatan','tempat','kategori']
    

blog/views.py
from django.shortcuts import render,HttpResponse, redirect
from .forms import Jadwal
from .models import Kegiatan 

def home(request):
    return render(request,'home.html')

def product(request):
    return render(request,'product.html')

def resume(request):
    return render(request,'resume.html')

def about(request):
    return render(request,'about.html')

def story(request):
    return render(request,'cerita.html')

def formJadwal(request):
    if(request.method == "POST"):
        form = Jadwal(request.POST)
        if(form.is_valid()):
            form.save()
            return redirect('.')
        else :
            pk = request.POST['id']
            obj = Kegiatan.objects.get(pk=pk)
            obj.delete()
    form = Jadwal()

    list_kegiatan = Kegiatan.objects.all()
    for i in list_kegiatan:
        print(i)
    
    context = {
        'formPavo':form,
        'list_kegiatan': list_kegiatan
    }


    return render(request,'forms.html', context)



    


# def message_post(request):
    
    
#     if(request.method =='POST' and form.is_valid()):
#         hari=request.POST.get("hari")
#         tanggal=request.POST.get("tanggal")
#         jam=request.POST.get("jam")
#         nama_kegiatan=request.POST.get("nama kegiatan")
#         tempat=request.POST.get("tempat")
#         kategori=request.POST.get("kategori")
#         form.save()
#     else:
#         form=Jadwal
        
        
        

blog/templates/about.html
{% load static from staticfiles %}

<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white" style="background-image: url('/static/images/banner.png')">
<head>
<title> About Me</title>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="shortcut icon" href="{% static 'images/smile.png' %}">
</head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
<body>  
    <header>
            <ul>
                    <li id=gambar > <img src="{% static 'images/smile.png' %}"> </li>
                    <li> <a href="{% url 'blog:home' %}">Home</a></li>
                    <li> <a href="{% url 'blog:product' %}">Product</a></li>
                    <li> <a href="{% url 'blog:resume' %}">Resume</a></li>
                    <li> <a href="{% url 'blog:about' %}">About</a></li>
            </ul>
        
        <div id=menu2>
            <ul>   

                <li class= menu1> <a class="fontmenu" href="{% url 'blog:home' %}">Home</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:product' %}">Product</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:resume' %}">Resume</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:about' %}">About</a></li>
            </ul>
        </div>
    </header>
        

<contentt>
    <div class="wrapperabout">
        
        <gambarinfo class="infogambar">
            <p class="teksgambar"> Nicholas Pangestu </p>
           <center> <img id="gambarq" src="{% static 'images/img.png' %}"> </center>
            <p class="teksgambar"> I Do my Best in Everything </p>
        
            
        </gambarinfo>

        <vl id=garisgan></vl>

        <tulisan class="texttul">
        
             <p class="deskripsidiri1">Some Information About me </p>
            <p class="deskripsidiri2">I play video games and watching film like it's my life. My favorite number is 8. My favorite color are blue and purple. My favorite music genre is pop.
             I really love when I can meet with new friends, because I really want to talking with other. I usually learning by visual. 
            </p>
            
        </tulisan>
            
                
            
    
        
    </div>
</contentt>

<footer>
    <ul>
        <li class=copyright> Social Media:</li>
        <li class=ikon> <img  src="{% static 'images/facebook.png' %}" onclick="window.open('https://facebook.com/Nicholaspangestu.llOUOll')"></li>        
        <li class=ikon> <img  src="{% static 'images/linkedin.png' %}" onclick="window.open('https://www.linkedin.com/in/nicholas-pangestu-98a229194/')"></li>        
        <li class=ikon> <img  src="{% static 'images/twitter.png' %}" onclick="window.open('https://twitter.com/nicholaspagestu')"></li>        

    </ul>

</footer>
</body>

</html>

blog/templates/cerita.html
{% load static from staticfiles %}

<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white" style="font-family: consolas;">
<head>
<title> My First Load Balancer</title>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="shortcut icon" href="{% static 'images/smile.png' %}">
</head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
<body id=bodyspesial>  
                
    <h1 id="judul">My First Load Balancer</h1>
    <br>
    

    <div id="kasihmargin">
        <center><img class=gamber src="{% static 'images/s.png' %}"> </center>

        <p class="paragraph"> &ensp; Kemarin saya diberi tugas terakhir pada mata kuliah perancangan dan pemrograman web untuk membahas mengenai load balancer. 
            Kata ini sangat asing di telinga saya. Sesudah mempelajarinya dari beberapa sumber. 
            Load balancer merupakan salah satu upaya yang dapat  digunakan untuk membuat sebuah system yang memiliki high avaibility atau
            daya tahan yang baik, bekerja sempurna tanpa kesalahan dalam waktu yang lama.
            Terdapat dua jenis load balancer, yaitu software dan hardware. 
            Perbedaan antara keduanya dapat dilihat pada <a href="https://www.solusi.com/hardware-dan-software-load-balancer-mana-lebih-unggul/">https://www.solusi.com/hardware-dan-software-load-balancer-mana-lebih-unggul/</a>.</p>
        
        <p class="paragraph">&ensp; Prinsip kerja load balancer jika kita ibaratkan adalah sebagai satpam / security pada bank.
            Ketika ada nasabah (client) yang mau memasuki bank (mengirim request) maka load ia akan menuntun nasabah tersebut kearah 
            teller (server) yang paling tidak sibuk, sehingga antrian pada bank (network) dapat tetap terkendali. 
            Jika pada suatu teller sedang tidak bekerja(redundant / failover) maka sang satpam akan mengarahkan nasabah yang baru 
            datang ke teller yang bisa bekerja saja. Dari contoh diatas dapat disimpulkan bahwa load balancer berfungsi untuk menjaga 
            kestabilan pada network dengan mengarahkan request dari client ke server yang paling tidak sibuk dan dilakukan secara 
            merata. Fungsi lain adalah memiliki mekanisme untuk menghadapi masalah reduntdant/failover pada server.</p>

        <p class="paragraph">&ensp; Pada tugas ini saya diberikan tugas untuk membuat sebuah project yang melakukan load balancing menggunakan
             salah satu software load balancer yaitu Nginx. Langkah pertama yang perlu saya lakukan adalah membuat file .conf yang akan
            mengatur load balancing saya. Pada file itu mengatur block upstream yang berisi port-port yang akan digunakan sebagai 
            server (8000 & 9000),  block server yang berisi port listener (port tempat terjadi load balancing), dan nama server,block location. </p>

        <center><img id=gambark class=gamber src="{% static 'images/sss.png' %}"> </center>
        
        <p class="paragraph">&ensp; Sesudah mengatur semua itu, saya membuat project pada Django yang akan menunjukan bahwa load balancing 
            saya berhasil. Saya menunjukan port yang digunakan menggunakan request.get_port() pada views.py yang akan ditampilkan 
            di file html saya. Untuk menguji load balancing pada project, pertama-tama saya menjalankan nginx.exe menggunakan 
            terminal (cmd) yang di run as administrator. Setelah selesai saya menjalankan dua terminal (cmd) yang menjalankan 2 port 
            yang berbeda (port 8000 dan 9000). Selanjutnya saya mencoba menjalankan localhost dengan listen port yang saya tentukan
            di file .conf saya yaitu port 100. Saat localhost:100 dijalankan, pada halaman html memberitahu bahwa port yang digunakan adalah
            port 8000. Jika saya refresh maka menjadi 9000, dan akan selalu berulang apabila di-refresh beberapa kali hal ini menunjukan
            bahwa load balancer bekerja pada dua server tersebut. Ketika saya matikan salah satu server, lalu melakukan refresh beberapa kali,
            halaman html menampilkan port yang sama (tidak berganti-ganti),hal ini menunjukan bahwa load balancing yang saya lakukan sudah berhasil.</p>
        
        <center><img class=gamber src="{% static 'images/ss.png' %}"> </center>
        
        <br>
        <p class="paragraph">&ensp; Saya sangat senang karena dapat melakukan load balancing walau karena tugas. 
            Saya juga baru mengetahui bahwa banyak website yang menggunakan load balancing untuk menjaga kestabilan server mereka. 
            Mengetahui hal itu saya merasa semakin mengetahui banyak hal mengenai dunia web.</p>
        <br>
    </div>
    
</body>

</html>

blog/templates/forms.html
{% load static from staticfiles %}
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white">
    <head>
        <title>Tambah Kegiatan</title>
        <link rel="stylesheet" href="{% static 'css/style.css' %}">
        <link rel="shortcut icon" href="{% static 'images/smile.png' %}">
    </head>
    <body>
        <form class="formjadwal" method="POST" > 
            {% csrf_token %}
            {{ formPavo }}

            <button type=submit id="masukin" style="font-size: 80%"> Submit </button>
        </form>

        <center><h1> List Kegiatan Saat Ini</h1> </center>
        {% for kegiatan in list_kegiatan %}
        <div class="kegiatanTampil">
            <h3> Hari: {{kegiatan.hari}}</h3>
            <h3> Tanggal: {{kegiatan.tanggal}}</h3>
            <h3> Jam: {{kegiatan.jam}}</h3>
            <h3> Nama Kegiatan: {{ kegiatan.nama_Kegiatan }}</h3>
            <h3> Tempat: {{ kegiatan.tempat }}</h3>
            <h3> Kategori: {{ kegiatan.kategori }}</h3>
            <form method="POST">
                {% csrf_token %}
                <input type="text" name="id" value="{{kegiatan.pk}}" style="display: none;">
                <button type=submit name="button"> delete</button>
            </form>
        </div> 
        {% endfor %}

        
        <!-- <form class="formjadwal" ,method="POST" action="."> {% csrf_token %}
            Hari:<br>
            <input class=inputjadwal, type="text" name="hari", maxlength="6", placeholder="Masukkan Hari"><br>
            Tanggal:<br>
            <input class=inputjadwal, type="text" name="tanggal" maxlength="10", placeholder="DD-MM-YYYY"><br>
            Jam:<br>
            <input class=inputjadwal, type="text" name="jam", maxlength="5", placeholder="HH:MM"><br>
            Nama Kegiatan:<br>
            <input class=inputjadwal, type="text" name="nama kegiatan", maxlength="200", placeholder="Masukkan Nama Kegiatan"><br>
            Tempat:<br>
            <input class=inputjadwal, type="text" name="tempat" maxlength="200", placeholder="Masukkan Tempat Kegiatan"><br>
            Kategori:<br>
            <input class=inputjadwal, type="text" name="kategori", maxlength="60", placeholder="Masukkan Kategori Jika Perlu"><br>
            <button class="btnform" ,type="submit">
                Submit
            </button>

        </form> -->
    </body>
</html>

blog/templates/home.html
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white" style="background-image: url('/static/images/banner.png')">
<head>
<title> Home</title>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="shortcut icon" href="{% static 'images/smile.png' %}">
</head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<body>  
    <header>
            <ul>
                    <li id=gambar > <img src="{% static 'images/smile.png' %}"> </li>
                    <li> <a href="{% url 'blog:home' %}">Home</a></li>
                    <li> <a href="{% url 'blog:product' %}">Product</a></li>
                    <li> <a href="{% url 'blog:resume' %}">Resume</a></li>
                    <li> <a href="{% url 'blog:about' %}">About</a></li>
            </ul>
        
        <div id=menu2>
            <ul>   

                <li class= menu1> <a class="fontmenu" href="{% url 'blog:home' %}">Home</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:product' %}">Product</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:resume' %}">Resume</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:about' %}">About</a></li>
            </ul>
        </div>
    </header>
        
<contentt>
    <div class="wrapper">
        <p class="textt">Hi, I'm Nicho <br> Please Enjoy my Website </p>        
    </div>
</contentt>

<footer>
    <ul>
        <li class=copyright> Social Media:</li>
        <li class=ikon> <img  src="{% static 'images/facebook.png' %}" onclick="window.open('https://facebook.com/Nicholaspangestu.llOUOll')"></li>        
        <li class=ikon> <img  src="{% static 'images/linkedin.png' %}" onclick="window.open('https://www.linkedin.com/in/nicholas-pangestu-98a229194/')"></li>        
        <li class=ikon> <img  src="{% static 'images/twitter.png' %}" onclick="window.open('https://twitter.com/nicholaspagestu')"></li>        

    </ul>

</footer>
</body>

</html>

blog/templates/product.html
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white" style="background-image: url('/static/images/banner.png')">
<head>
<title> My Product</title>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="shortcut icon" href="{% static 'images/smile.png' %}">
</head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<body>  
    <header>
            <ul>
                    <li id=gambar > <img src="{% static 'images/smile.png' %}"> </li>
                    <li> <a href="{% url 'blog:home' %}">Home</a></li>
                    <li> <a href="{% url 'blog:product' %}">Product</a></li>
                    <li> <a href="{% url 'blog:resume' %}">Resume</a></li>
                    <li> <a href="{% url 'blog:about' %}">About</a></li>
            </ul>
        
        <div id=menu2>
            <ul>   

                <li class= menu1> <a class="fontmenu" href="{% url 'blog:home' %}">Home</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:product' %}">Product</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:resume' %}">Resume</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:about' %}">About</a></li>
            </ul>
        </div>
    </header>
        

<contentt>
    <div class="wrapperproduct">
        <p class="texttproduct">Here is My Product (Belum Dirapihkan) </p>        
        
    </div>

    <div class="listproduct">
        <center> <a class="listproducttext" href="{% url 'blog:forms' %}">Isi Jadwal</a> </center>
        <center> <a class="listproducttext" href="{% url 'blog:story' %}">Story 10</a> </center>
    </div>

</contentt>

<footer>
    <ul>
        <li class=copyright> Social Media:</li>
        <li class=ikon> <img  src="{% static 'images/facebook.png' %}" onclick="window.open('https://facebook.com/Nicholaspangestu.llOUOll')"></li>        
        <li class=ikon> <img  src="{% static 'images/linkedin.png' %}" onclick="window.open('https://www.linkedin.com/in/nicholas-pangestu-98a229194/')"></li>        
        <li class=ikon> <img  src="{% static 'images/twitter.png' %}" onclick="window.open('https://twitter.com/nicholaspagestu')"></li>        

    </ul>

</footer>
</body>

</html>

blog/templates/resume.html
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white" style="background-image: url('/static/images/banner.png')"
<head>
<title> My Resume</title>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="shortcut icon" href="{% static 'images/smile.png' %}">
</head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<body>  
    <header>
            <ul>
                    <li id=gambar > <img src="{% static 'images/smile.png' %}"> </li>
                    <li> <a href="{% url 'blog:home' %}">Home</a></li>
                    <li> <a href="{% url 'blog:product' %}">Product</a></li>
                    <li> <a href="{% url 'blog:resume' %}">Resume</a></li>
                    <li> <a href="{% url 'blog:about' %}">About</a></li>
            </ul>
        
        <div id=menu2>
            <ul>   

                <li class= menu1> <a class="fontmenu" href="{% url 'blog:home' %}">Home</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:product' %}">Product</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:resume' %}">Resume</a></li>
                <li class= menu1> <a class="fontmenu" href="{% url 'blog:about' %}">About</a></li>
            </ul>
        </div>
    </header>
<contentt>
    <div class="wrapperresume">
        <softskill class="infosoftskill">
            <p class="tulisansoftskill">
                < Softskill >
                <br> Communication 
                <br> ⋆⋆⋆
                <br> Leadership   
                <br>⋆⋆
                <br> Teamwork      
                <br>⋆⋆⋆⋆
                <br> Adaptability  
                <br>⋆⋆⋆
            </p>
        </softskill>

        <software class="skillsoftware">
            <p id="judulsoftware">
                Day to Day Comfort with:
            </p>

            <figure class=figur>
                <center> <img class="gambarsoftware" src="{% static 'images/python.png' %}" height="100px" width="100px"> </center>
                <figcaption class=figkap>
                        Python
                </figcaption>
            </figure>

            <figure class=figur>
                <center> <img class="gambarsoftware" src="{% static 'images/java.png' %}" height="100px" width="100px"> </center>
                    <figcaption class=figkap>
                            Java
                    </figcaption>
                </figure>

            <figure class=figur>
                <center> <img class="gambarsoftware" src="{% static 'images/html5.png' %}" height="100px" width="100px"> </center>
                    <figcaption class=figkap>
                            HTML
                    </figcaption>
            </figure>

            <figure class=figur>
                <center> <img class="gambarsoftware" src="{% static 'images/office.png' %}" height="100px" width="100px"> </center>
                    <figcaption class=figkap>
                            Ms.Office
                    </figcaption>
            </figure>
                
            
        </software>

        <education class="edu">
            <p id=""></p>

        </education>
        
        
        
    </div>
</contentt>

<footer>
    <ul>
        <li class=copyright> Social Media:</li>
        <li class=ikon> <img  src="{% static 'images/facebook.png' %}" onclick="window.open('https://facebook.com/Nicholaspangestu.llOUOll')"></li>        
        <li class=ikon> <img  src="{% static 'images/linkedin.png' %}" onclick="window.open('https://www.linkedin.com/in/nicholas-pangestu-98a229194/')"></li>        
        <li class=ikon> <img  src="{% static 'images/twitter.png' %}" onclick="window.open('https://twitter.com/nicholaspagestu')"></li>        

    </ul>

</footer>
</body>

</html>